Package io.trino.jdbc

# Class TracingTrinoDriver

java.lang.Object
io.trino.jdbc.NonRegisteringTrinoDriver
io.trino.jdbc.TracingTrinoDriver

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Driver`

public class TracingTrinoDriver extends NonRegisteringTrinoDriver

## Constructor Summary

Constructors
Constructor
Description
`TracingTrinoDriver()`
`TracingTrinoDriver(io.opentelemetry.api.OpenTelemetry openTelemetry)`

## Method Summary

Modifier and Type
Method
Description
`protected okhttp3.Call.Factory`
`wrapClient(okhttp3.OkHttpClient client)`

### Methods inherited from class io.trino.jdbc.NonRegisteringTrinoDriver

`acceptsURL, close, connect, getMajorVersion, getMinorVersion, getParentLogger, getPropertyInfo, jdbcCompliant`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TracingTrinoDriver

public TracingTrinoDriver(io.opentelemetry.api.OpenTelemetry openTelemetry)

### TracingTrinoDriver

public TracingTrinoDriver()

## Method Details

### wrapClient

protected okhttp3.Call.Factory wrapClient(okhttp3.OkHttpClient client)

Overrides:
  `wrapClient` in class `NonRegisteringTrinoDriver`